=== src/CMakeLists.txt ===
add_subdirectory(rviz)
add_subdirectory(image_view)
if (CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()
add_subdirectory(python_bindings)
