=== debian/changelog ===
ros-rviz (1.11.10+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild against liburdfdom-*0.4

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 22:34:06 +0200

ros-rviz (1.11.10+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #804037).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 20 Jan 2016 22:24:14 +0000
