=== debian/control ===
Source: ros-rviz
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-program-options-dev, libboost-signals-dev, libboost-system-dev, libboost-thread-dev, libassimp-dev, libgl1-mesa-dev | libgl-dev, libqt4-opengl-dev, libangles-dev, ros-cmake-modules, libimage-geometry-dev, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev, libpython-dev, libeigen3-dev, libogre-1.9-dev, librostest-dev, liburdfdom-headers-dev, libyaml-cpp0.3-dev, liburdfdom-dev, python, dh-python
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/rviz
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rviz.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rviz.git

Package: librviz-dev
Section: libdevel
Architecture: any
Depends: librviz0d (= ${binary:Version}), ${misc:Depends}, libangles-dev, ros-cmake-modules, libimage-geometry-dev, libimage-transport-dev, libinteractive-markers-dev, liblaser-geometry-dev, libmap-msgs-dev, libmessage-filters-dev, libnav-msgs-dev, pluginlib-dev, python-qt-binding, libresource-retriever-dev, librosbag-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, python-rospy, libsensor-msgs-dev, libstd-msgs-dev, libstd-srvs-dev, libtf-dev, liburdf-dev, libvisualization-msgs-dev
Description: 3D visualization tool for Robot OS.
 This package is part of Robot OS (ROS). This package contains 
 the development files for the rviz library.

Package: librviz0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: 3D visualization tool for Robot OS.
 This package is part of Robot OS (ROS). This package contains 
 the rviz library.

Package: rviz
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation
Description: 3D visualization tool for Robot OS.
 This package is part of Robot OS (ROS). This package contains 
 the rviz program.

Package: python-rviz
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: 3D visualization tool for Robot OS.
 This package is part of Robot OS (ROS). This package contains the
 Python interface to the rviz library.
