=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --with=python2 --buildsystem=cmake

# test suite is broken atm.
override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
