=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg// \
  https://github.com/ros-visualization/rviz/releases .*/v?(\d\S*)\.tar\.gz
